extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.row
    div.col-12.col-lg-4
      div.form-row
        div.form-group.col-12
          div.ControlInput
            div.ControlInput--ContenedorIcono
              span.ControlInput--ContenedorIcono-Icono
                i.fas.fa-search
            input(type="text",
              placeholder="Ingrese busqueda",
              [(ngModel)]="tFiltroBusqueda",
              size="sm").ControlInput--Input
      div.form-row
        div.form-group.col-12
          ng-container(*ngFor="let tClienteFor of tClientes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag")
            app-fw-consulta-cliente-listado([Cliente]="tClienteFor",
              [Actual]="tClienteFor.Codcliente === tClienteActual.Codcliente ? true : false",
              (seleccionarCliente)="SeleccionarCliente($event)")
      div.form-row
        div.form-group.col-12
          ngb-pagination(aria-label="Default pagination",
                          [collectionSize]="tClientes.length",
                          [(page)]="tPagina",
                          [pageSize]="tTamanoPag",
                          size="sm").d-flex.justify-content-center
    div.col-12.col-lg-8
      div.form-row
        div.form-group.col-12
          app-fw-consulta-cliente-detalle([Cliente]="tClienteActual")
